/*!
 * Copyright (c) Microsoft Corporation and contributors. All rights reserved.
 * Licensed under the MIT License.
 */
import { IPubSub } from "@fluidframework/server-memory-orderer";
import * as core from "@fluidframework/server-services-core";
export declare class LocalWebSocket implements core.IWebSocket {
    readonly id: string;
    private readonly server;
    private readonly events;
    private readonly rooms;
    private readonly subscriber;
    private _connected;
    get connected(): boolean;
    constructor(id: string, server: LocalWebSocketServer);
    on(event: string, listener: (...args: any[]) => void): void;
    join(roomId: string): Promise<void>;
    send(event: string, ...args: any[]): void;
    emit(event: string, ...args: any[]): void;
    emitToRoom(roomId: string, event: string, ...args: any[]): void;
    removeListener(event: string, listener: (...args: any[]) => void): void;
    off(event: string, listener: (...args: any[]) => void): this;
    disconnect(close?: boolean): void;
}
export declare class LocalWebSocketServer implements core.IWebSocketServer {
    readonly pubsub: IPubSub;
    private readonly events;
    constructor(pubsub: IPubSub);
    on(event: string, listener: (...args: any[]) => void): void;
    close(): Promise<void>;
    createConnection(): LocalWebSocket;
}
//# sourceMappingURL=localWebSocketServer.d.ts.map